Page MenuHomePhabricator

Set a max-width for Special:Notifications page
Closed, ResolvedPublic

Description

IIRC, Special:Notifications before T129176: Minimal JS version of Special:Notifications has a defined (max-)width. Is it possible to have it back, to facilitate reading?

@Pginer-WMF, thoughts regarding max-widths?

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 9 2016, 3:06 PM

@Pginer-WMF, thoughts regarding max-widths?

We plan to set a max-width for notification items not become too stretched. However, T129366 involves adding a filtering panel which will affect the width of the notification list. So we were planning to evaluate the ideal with after adding that.

There is already some products with limited width, like Flow. It helps a lot for readability imho.

Trizek-WMF renamed this task from Special:Notifications should have a max-width to Consider to have a max-width for Special:Notifications page.Jun 10 2016, 1:28 PM
Pginer-WMF added a comment.EditedJun 27 2016, 10:56 AM

I tried several adjustments on beta and I think that keeping the notification list at ~600px wide works well to give room to enough information without making it too stretched.

Given that the filter menu on the side is ~300px wide and there is some extra padding, we can restrict the whole notifications page widget to ~950px to achieve the ~600px limit for the list of notifications.

Catrope renamed this task from Consider to have a max-width for Special:Notifications page to Set a max-width for Special:Notifications page.Jun 28 2016, 3:07 PM
Catrope moved this task from Untriaged to Ready for Pickup on the Collab-Team-Q1-July-Sep-2016 board.

(Juste to follow up)

As Moriel says, 700 px is a provisional spec, until Pau can come up with a responsive design or whatever he deems necessary. The width was based on an approximate reading width of 95 characters.

(Juste to follow up)

I made a proposal a couple coments above (T137425#2408986) and pointed to it in the other ticket. Let me know if there are any comments observations about it.

jmatazzoni closed this task as Resolved.Jul 6 2016, 8:44 PM
jmatazzoni claimed this task.

This ticket was dealt with in T138433, so I'm closing this. However, we have not dealt with the issue of how this displays on small screens, so I created the following ticket: Notification Page doesn't display properly in mobile T139525